Équipes
GET https://mybotsy.com/api/teams/
curl --request GET \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne (string) | Le texte recherché. |
| search_by | Facultatif Chaîne (string) | Champ sur lequel porte la recherche. Valeurs autorisées : name. |
| datetime_field | Facultatif Chaîne (string) | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne (string) | Filtre les résultats à partir de cette date et heure. Format Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne (string) | Filtre les résultats jusqu'à cette date et heure. Format Y-m-d H:i:s. |
| order_by | Facultatif Chaîne (string) | Champ selon lequel trier les résultats. Valeurs autorisées : team_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne (string) | L'ordre des résultats. Valeurs autorisées : ASC pour un ordre croissant et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Le numéro de la page de résultats souhaitée. Par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Par défaut : 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-30 00:11:17",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-30 00:11:17"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://mybotsy.com/api/teams?page=1",
"last": "https://mybotsy.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://mybotsy.com/api/teams?page=1"
}
}
GET https://mybotsy.com/api/teams/{team_id}
curl --request GET \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-30 00:11:17",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-30 00:11:17"
}
}
POST https://mybotsy.com/api/teams
| Paramètres | Détails | Description |
|---|---|---|
| name | Obligatoire Chaîne (string) | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My team",
"team_members": [],
"last_datetime": null,
"datetime": "2026-10-30 00:11:17"
}
}
POST https://mybotsy.com/api/teams/{team_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Facultatif Chaîne (string) | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My new team name",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-30 00:11:17",
"last_datetime": null
}
],
"last_datetime": "2026-10-30 00:11:17",
"datetime": "2026-10-30 00:11:17"
}
}
DELETE https://mybotsy.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \